Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.client
Class ClientException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cactus.util.ChainedException
                  org.apache.cactus.internal.client.ClientException

All Implemented Interfaces:
  java.io.Serializable

public class ClientException
extends ChainedException

A Cactus client side exception.

Version:
  $Id: ClientException.java 238991 2004-05-22 11:34:50Z vmassol $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cactus.util.ChainedException
`originalException`

Constructor Summary
`ClientException(java.lang.String theMessage)`
`ClientException(java.lang.String theMessage, java.lang.Throwable theException)`
`ClientException(java.lang.Throwable theException)`

Methods inherited from class org.apache.cactus.util.ChainedException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientException

    public ClientException(java.lang.String theMessage)

See Also:
  `ChainedException.ChainedException(String)`

### ClientException

    public ClientException(java.lang.String theMessage,
                           java.lang.Throwable theException)

See Also:
  `ChainedException.ChainedException(String, Throwable)`

### ClientException

    public ClientException(java.lang.Throwable theException)

See Also:
  `ChainedException.ChainedException(Throwable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.